Repository 32bit  Forum
Repository 64bit  Wiki

FlightGear

Postate qui se avete consigli per migliorare i pacchetti disponibili in questo sito o se avete problemi con installazione, funzionamento o altro.

Moderatore: Staff

Regole del forum
1) Citare in modo preciso il nome del pacchetto.
2) Specificare se discussione/suggerimento o richiesta d'aiuto.
3) Leggere attentamente le risposte ricevute
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.

FlightGear

Messaggioda goldy » gio feb 16, 2006 0:59

Ho installato questo simulatore di volo preso da slacky.it,
poi ho
scaricato dal sito uffciale 2 scenari
e010n40.tgz ed e110s30.tgz
Li ho scompattati e copiati nella directory /usr/share/FlightGear/
e mi ritrovo quindi con altre 2 directory
Objects e Terrain
Quando lancio il programma
fgfs
ricevo
Base package check failed ... Found version [none] at: /usr/share/FlightGear
Please upgrade to version: 0.9.9

Allora ho provato a semplificare le cose installando
kfreeflight
ma non trova il programma
can't find "Atlas" program
C'è qualcuno che usa questo gioco , e può dirmi cosa sbaglio?
Grazie
Avatar utente
goldy
Packager
Packager
 
Messaggi: 1267
Iscritto il: dom mag 02, 2004 23:00
Località: Bologna
Slackware: Current
Kernel: 2.6.26.5
Desktop: KDE 3.5.10

Messaggioda gohanz » gio feb 16, 2006 8:23

Allora per quanto riguarda il primo problema, devi installare prima il pacchetto base. Tu hai installato solo degli scenari addizionali. Bada che sono 80 Mega.
http://www.flightgear.org/Downloads/source.shtml

Atlas non è necessario al funzionamento di FlightGear, è una serie di mappe topografiche GPS. L'ho sto tuttura Pacchettizzando. Da KfreeFlight lo puoi facilemnte disabilitare dalla scheda Generale.
Bada che KfreeFlight è ancora giovane, non effettua controlli sulle opzioni. Sono in contatto con l'autore, perchè stiamo facendo la versione in italiano. Quindi potrebbe anche non partire il simulatore.
Avatar utente
gohanz
Staff
Staff
 
Messaggi: 5832
Iscritto il: mar nov 30, 2004 0:00

Messaggioda Vlainur » gio feb 16, 2006 11:07

posso fare una domanda ? Ma come si fa a fare decollare sti aerei !?!??!? :lol:
Avatar utente
Vlainur
Linux 2.4
Linux 2.4
 
Messaggi: 202
Iscritto il: lun nov 15, 2004 0:00
Località: Catania

Messaggioda goldy » gio feb 16, 2006 13:16

Grazie gohanz , adesso sono riuscito a far partire il programma ,
ora devo solo far partire l'aereo.
Avatar utente
goldy
Packager
Packager
 
Messaggi: 1267
Iscritto il: dom mag 02, 2004 23:00
Località: Bologna
Slackware: Current
Kernel: 2.6.26.5
Desktop: KDE 3.5.10

Messaggioda gohanz » gio feb 16, 2006 13:49

Vlainur ha scritto:posso fare una domanda ? Ma come si fa a fare decollare sti aerei !?!??!? :lol:


Sto scrivendo un Manuale su come farli CADERE!!!! :mrgreen:
Avatar utente
gohanz
Staff
Staff
 
Messaggi: 5832
Iscritto il: mar nov 30, 2004 0:00

Re: FlightGear

Messaggioda Simone_R » gio feb 16, 2006 14:44

http://flightgear.stockill.org.uk/

Qui trovi il binario per Slackware ...
Con paesaggi di base e qualche aereo.

Installi e funziona ....

:D
Simone_R
Linux 2.4
Linux 2.4
 
Messaggi: 218
Iscritto il: lun apr 11, 2005 23:00

Messaggioda alessiodf » gio feb 16, 2006 15:09

Ragazzi, ma devo possedere per forza i driver ATi originali per far partire il volo?? Ho quelli del kernel per la mia ati 9250, e Drm up! Appena faccio Fly Now cerca di partire il volo, ma poi da console trovo quel'errore
Codice: Seleziona tutto
alessio@skynet[~]$ kfreeflight
opening file: /usr/share/FlightGear/Navaids/carrier_nav.dat
/usr/share/FlightGear/Navaids/TACAN_freq.dat
X Error of failed request:  GLXUnsupportedPrivateRequest
  Major opcode of failed request:  142 (GLX)
  Minor opcode of failed request:  16 (X_GLXVendorPrivate)
  Serial number of failed request:  43
  Current serial number in output stream:  44


Da che dipende??
Codice: Seleziona tutto
alessio@skynet[~]$ glxinfo 
name of display: :0.0
display: :0  screen: 0
direct rendering: Yes
server glx vendor string: SGI
server glx version string: 1.2
Avatar utente
alessiodf
Linux 2.6
Linux 2.6
 
Messaggi: 823
Iscritto il: ven ott 14, 2005 20:04
Località: Roma
Slackware: current
Kernel: 2.6.26.4
Desktop: Kde 4.1

Messaggioda gohanz » gio feb 16, 2006 15:51

KfreeFlight non ha controllo sulle opzioni. Prova se ti fuziona con quest'opzione --prop:sim/ai/scenario=nimitz_demo

prova anche se ti parte fgfs da shell. Se dando fgfs da shell il simulatore parte, ci sarà qualche problema nelle opzioni che hai usato in KfreeFlight
Avatar utente
gohanz
Staff
Staff
 
Messaggi: 5832
Iscritto il: mar nov 30, 2004 0:00

Messaggioda alessiodf » gio feb 16, 2006 16:01

gohanz ha scritto:KfreeFlight non ha controllo sulle opzioni. Prova se ti fuziona con quest'opzione --prop:sim/ai/scenario=nimitz_demo

prova anche se ti parte fgfs da shell. Se dando fgfs da shell il simulatore parte, ci sarà qualche problema nelle opzioni che hai usato in KfreeFlight
niente.. anche facendo partire il sinulatore da shell da lo stesso errore... forse non vanno bene i pack installati presi da
http://flightgear.stockill.org.uk/

Qui trovi il binario per Slackware ...
Con paesaggi di base e qualche aereo.
Preverò con quelli che trovo su slacky.. Ciaoz!
Avatar utente
alessiodf
Linux 2.6
Linux 2.6
 
Messaggi: 823
Iscritto il: ven ott 14, 2005 20:04
Località: Roma
Slackware: current
Kernel: 2.6.26.4
Desktop: Kde 4.1

Messaggioda gohanz » gio feb 16, 2006 16:09

Credo comunque che si tratti di un problema derivante dai driver OpenGl. Quindo o usi i driver propietari, o provi ad usare i driver Mesa3D èresenti in download, meno performanti però.
Avatar utente
gohanz
Staff
Staff
 
Messaggi: 5832
Iscritto il: mar nov 30, 2004 0:00

Messaggioda pennega » mer mar 01, 2006 9:57

ho un problemino anche io :

Codice: Seleziona tutto
fgfs --prop:sim/ai/scenario=nimitz_demo
fgfs: error while loading shared libraries: libalut.so.0: cannot open shared object file: No such file or directory


idee su questa libreria mancante ? premetto che ho installato kfreefligh, atlas e openhal quest'ultimo preso dal sito di FlightGear ...[/code]
pennega
Linux 2.6
Linux 2.6
 
Messaggi: 607
Iscritto il: sab lug 03, 2004 23:00

Messaggioda pennega » mer mar 01, 2006 10:16

ho installato la freealut a desso non mi dà + quel problema sulla libreria mancante mha...

Codice: Seleziona tutto
fgfs


Base package check failed ... Found version [none] at: /usr/share/FlightGear
Please upgrade to version: 0.9.9
 


e ppure la versione che ho scaricato è quella...
pennega
Linux 2.6
Linux 2.6
 
Messaggi: 607
Iscritto il: sab lug 03, 2004 23:00

Messaggioda gohanz » mer mar 01, 2006 12:19

Allora devi scaricare il pacchetto base ftp://ftp.flightgear.org/pub/fgfs/Share ... .9.tar.bz2

e scompattarlo sotto /usr/share/FlightGear

in modo che dando ls -l in /usr/share/FlightGear

ci siano una serie di directory

ATC
Aircraft
Airports
ecc...

Bada che il pacchetto tar.bz2 ha come radice la directory /data quindi quello che devi scompattare sono le directory figlie a /data
Avatar utente
gohanz
Staff
Staff
 
Messaggi: 5832
Iscritto il: mar nov 30, 2004 0:00

Messaggioda pennega » mer mar 01, 2006 14:09

ti chiedo scusa per non aver letto quanto sopra
pennega
Linux 2.6
Linux 2.6
 
Messaggi: 607
Iscritto il: sab lug 03, 2004 23:00

Messaggioda pennega » gio mar 02, 2006 13:56

adesso mi dice questo

Codice: Seleziona tutto
fgfs --prop:sim/ai/scenario=nimitz_demo
opening file: /usr/share/FlightGear/Navaids/carrier_nav.dat
/usr/share/FlightGear/Navaids/TACAN_freq.dat
RenderTexture Error: Couldn't find a suitable pixel format.
Audio initialization failed!
   Could not change the current ALC context
Aborted


mi manche forse qualcos' altro ?
pennega
Linux 2.6
Linux 2.6
 
Messaggi: 607
Iscritto il: sab lug 03, 2004 23:00

Prossimo

Torna a Packages

Chi c’è in linea

Visitano il forum: Nessuno e 1 ospite